Purchase

Endpoints pertaining to requesting for quotes for options, viewing user options positions and options purchase history

Base API path: https://api.stryke.xyz/clamm/purchase

Options Quote

The /quote endpoint is designed to return the estimated cost of purchasing an option for a given market This endpoint is useful for users who want to understand the pricing details before making a purchase. It provides both the estimated cost and the relevant token information. Note: Due to high volatility in certain markets the cost of the options may be slightly stale

Get quote for purchasing options

get
Query parameters
chainIdnumber ยท enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired
strikenumberRequired
markPricenumberRequired
typestring ยท enumRequiredPossible values:
amountnumberRequired
ttlnumberRequired
Responses
chevron-right
200

Get cost of purchasing an option

application/json
premiumstringRead-onlyRequired
feesstringRead-onlyRequired
get
/clamm/purchase/quote
200

Get cost of purchasing an option

Options Positions

The /positions endpoint retrieves information about a user's current options positions of a given market. It provides an overview of the options positions held by a user including details about the type of option, quantity, strike price, expiration, size etc.

Get current options positions of a user

get
Query parameters
chainIdnumber ยท enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired

Address of the user

firstnumber ยท enumRequired

Pagination parameter for first (Similar to Qraphql)

Possible values:
skipnumber ยท enumRequired

Pagination parameter for skip (Similar to Qraphql)

Possible values:
Responses
chevron-right
200

List of options positions

application/json
sizestringRead-onlyRequired
premiumstringRead-onlyRequired
strikenumberRead-onlyRequired
typestring ยท enumRead-onlyRequiredPossible values:
get
/clamm/purchase/positions
200

List of options positions

Purchase history

The /history endpoint retrieves options purchases by a user for a given market.

Get history of options purchases for a user

get
Query parameters
chainIdnumber ยท enumRequired

Chain ID of the network

Possible values:
optionMarketstringRequired

Address of the option market

userstringRequired

Address of the user

firstnumber ยท enumRequired

Pagination parameter for first (Similar to Qraphql)

Possible values:
skipnumber ยท enumRequired

Pagination parameter for skip (Similar to Qraphql)

Possible values:
Responses
chevron-right
200

History of options purchases by an address

application/json
txHashobjectRead-onlyRequired
timestampnumberRead-onlyRequired
strikenumberRead-onlyRequired
sizestringRead-onlyRequired
ttlnumberRead-onlyRequired
typestring ยท enumRead-onlyRequiredPossible values:
premiumstringRead-onlyRequired
get
/clamm/purchase/history
200

History of options purchases by an address

Last updated

Was this helpful?